Bug 443576 - Review Request: monodevelop-boo - boo plugin for monodevelop
Review Request: monodevelop-boo - boo plugin for monodevelop
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 444721
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 06:51 EDT by Paul F. Johnson
Modified: 2009-02-28 05:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 05:56:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2008-04-22 06:51:02 EDT
Spec URL: http://pfj.fedorapeople.org/monodevelop-boo.spec
SRPM URL: http://pfj.fedorapeople.org/monodevelop-boo-1.0-1.fc9.src.rpm
Description: monodevelop-boo is a boo plugin for monodevelop
Comment 1 David Nielsen 2008-05-06 15:14:52 EDT
Fails in mock (f9-x86_64)
No package 'gconf-sharp-2.0' found

You need the standard ExclusiveArch line for Mono apps:
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha

There is no nant on ppc/ppc64, thus no boo, you need to exclude both archs (and
then as a bonus you can delete the ugly little ifdef).

Also why does a boo plugin require ikvm?

If I ask politely will you name the patch after it's function and add comments
to your sed magic to make it easier to follow for those of us who maintain your
packages lightly while you are away.

Comment 2 Paul F. Johnson 2008-05-07 06:06:23 EDT
Spec URL: http://pfj.fedorapeople.org/monodevelop-boo.spec
SRPM URL: http://pfj.fedorapeople.org/monodevelop-boo-1.0-2.fc9.src.rpm

Lots of fixes....
Comment 3 David Nielsen 2008-05-07 06:40:58 EDT
Thank you but this still doesn't build in mock:
No package 'gtksourceview-sharp-2.0' found

Setting this review to be blocked by 444721

Aside that I am very happy with the changes you made.
Comment 4 David Nielsen 2008-06-30 20:24:58 EDT
Ping, it has been nearly 2 months now Paul. Again I offer any help you might
need to hammer Mono into shape.
Comment 5 Rakesh Pandit 2008-09-03 12:19:00 EDT
@Paul

Review is stalled and will be closed if not updated soon.
Comment 6 Paul F. Johnson 2008-10-20 07:57:34 EDT
Unable to build due to problems with MD 1.9. This should be resolved in the next couple of weeks with MD 1.9 alpha 2's release.
Comment 7 David Nielsen 2009-02-21 08:34:35 EST
With MD2 beta 1 out and Fedora now containing a new succesful build of MD are you still interested in this?
Comment 8 David Nielsen 2009-02-28 05:56:15 EST
Due to inactivity since 2008-10-20 I am closing this

Note You need to log in before you can comment on or make changes to this bug.